﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace ukol1
{
    class plocha:Control
    {

        public enum plochaT
        {
            volno,dira,zed,poklad
        }
        private plochaT _typ;

        public plocha(Bod _poloha)
        {
            poloha = _poloha;
            this.BackColor = Color.White;
        }
        public plochaT typ
        {
            get
            {
                return _typ;
            }
            set
            {
                _typ = value;
                switch (value)
                {
                    case plochaT.zed:
                            this.BackColor = Color.Brown;
                            break;
                    case plochaT.volno:
                            this.BackColor = Color.White;
                            break;
                    case plochaT.poklad:
                            this.BackColor = Color.Blue;
                            break;
                    case plochaT.dira:
                            this.BackColor = Color.Black;
                            break;
                }
            }
        }
        private Bod _poloha;
        public Bod poloha
        {
            get
            {
                return _poloha;
            }
            set
            {
                _poloha = value;
                this.Location = new Point(_poloha.X * 40, _poloha.Y * 40);
                this.Size = new Size(40, 40);
            }
        }
    }
    struct Bod
    {
        public int X;
        public int Y;
        public Bod(int _X, int _Y)
        {
            X = _X;
            Y = _Y;
        }
    }
}
